Index: /trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nobjmgr.cc	(revision 1165)
@@ -581,5 +581,5 @@
   {cout<<"NamedObjMgr::CopyObj() Error -  No "<<nom<<" object !"<<endl;
   return(false);}
-AnyDataObj* obnomcp = obnom->GetCopyObj();
+AnyDataObj* obnomcp = obnom->CloneDataObj();
 if(obnomcp==NULL) return(false);
 if(! AddObj(obnomcp,nomcp) ) {delete obnomcp; return(false);}
Index: /trunk/SophyaPI/PIext/nobjmgr.h
===================================================================
--- /trunk/SophyaPI/PIext/nobjmgr.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nobjmgr.h	(revision 1165)
@@ -64,5 +64,5 @@
   virtual void          GetObjList(string & patt, vector<string>& );  		
 // Methode CopyObj() a virer probablement (Reza 30/8/200 obsolete ?) 
-  virtual void          CopyObj(string & nom, string& nomcp)
+  virtual bool          CopyObj(string & nom, string& nomcp);
 
 //  Lecture et sauvegarde des objets sur fichier
Index: /trunk/SophyaPI/PIext/nomgadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomgadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomgadapter.cc	(revision 1165)
@@ -35,17 +35,10 @@
 }
 
+
 /* --Methode-- */
-AnyDataObj* NObjMgrAdapter::GetCopyObj()
+AnyDataObj* NObjMgrAdapter::CloneDataObj()
 {
 string s = typeid(*mObj).name();
-cout << "NObjMgrAdapter::GetCopyObj() - Error : Not supported for " << s << endl;
-return(NULL);
-}
-
-/* --Methode-- */
-AnyDataObj* NObjMgrAdapter::CloneObj()
-{
-string s = typeid(*mObj).name();
-cout << "NObjMgrAdapter::CloneObj() - Error : Not supported for " << s << endl;
+cout << "NObjMgrAdapter::CloneDataObj() - Error : Not supported for " << s << endl;
 return(NULL);
 }
Index: /trunk/SophyaPI/PIext/nomgadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomgadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomgadapter.h	(revision 1165)
@@ -33,6 +33,4 @@
   // Returns a new data-object, cloning the original object 
   virtual AnyDataObj*		CloneDataObj();
-  virtual AnyDataObj*	        GetCopyObj();  // Methode obsolete - Devra etre remplace
-                                               // par CloneDataObj() 
 
   // Copies data from object o 
Index: /trunk/SophyaPI/PIext/nomgfdadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 1165)
@@ -33,5 +33,12 @@
 
 /* --Methode-- */
-AnyDataObj* NOMAdapter_GeneralFitData::GetCopyObj()
+string NOMAdapter_GeneralFitData::GetDataObjType()
+{
+return( "GeneralFitData " );
+}
+
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_GeneralFitData::CloneDataObj()
 {
 return( new GeneralFitData(*mG) );
Index: /trunk/SophyaPI/PIext/nomgfdadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomgfdadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomgfdadapter.h	(revision 1165)
@@ -20,5 +20,8 @@
 
   virtual NObjMgrAdapter*  Clone(AnyDataObj* o);
-  virtual AnyDataObj*      GetCopyObj();
+
+  virtual string	   GetDataObjType();
+
+  virtual AnyDataObj*      CloneDataObj();
 
   virtual void		   SavePPF(POutPersist& s, string const & nom);
Index: /trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 1165)
@@ -36,5 +36,13 @@
 
 /* --Methode-- */
-AnyDataObj* NOMAdapter_Histo::GetCopyObj()
+string NOMAdapter_Histo::GetDataObjType()
+{
+HProf * hp = dynamic_cast<HProf *>(mHis);
+if(hp==NULL) return("HProf ");
+else return("Histo ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_Histo::CloneDataObj()
 {
 mHis->UpdateHisto();  // pour le cas ou c'est un HProf
@@ -157,5 +165,11 @@
 
 /* --Methode-- */
-AnyDataObj* NOMAdapter_Histo2D::GetCopyObj()
+string NOMAdapter_Histo2D::GetDataObjType()
+{
+return ("Histo2D ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_Histo2D::CloneDataObj()
 {
 return ( new Histo2D(*mHis) );
@@ -284,6 +298,13 @@
 }
 
-/* --Methode-- */
-AnyDataObj* NOMAdapter_NTuple::GetCopyObj()
+
+/* --Methode-- */
+string NOMAdapter_NTuple::GetDataObjType()
+{
+return ("NTuple ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_NTuple::CloneDataObj()
 {
 return ( new NTuple(*mNt) );
@@ -343,4 +364,15 @@
 }
 
+/* --Methode-- */
+string NOMAdapter_XNTuple::GetDataObjType()
+{
+return ("XNTuple ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_XNTuple::CloneDataObj()
+{
+return ( new XNTuple(*mNt) );
+}
 
 /* --Methode-- */
Index: /trunk/SophyaPI/PIext/nomhistadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomhistadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomhistadapter.h	(revision 1165)
@@ -25,5 +25,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
@@ -63,5 +66,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
@@ -103,5 +109,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
@@ -127,4 +136,8 @@
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
 
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
+
   //  virtual void			ReadFits(string const & flnm);
   //  virtual void			SaveFits(string const & flnm);
Index: /trunk/SophyaPI/PIext/nommatvecadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 1165)
@@ -34,5 +34,11 @@
 
 /* --Methode-- */
-AnyDataObj* NOMAdapter_Vector::GetCopyObj()
+string NOMAdapter_Vector::GetDataObjType()
+{
+  return("Vector ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_Vector::CloneDataObj()
 {
 return ( new Vector(*mVec) );
@@ -149,5 +155,11 @@
 
 /* --Methode-- */
-AnyDataObj* NOMAdapter_Matrix::GetCopyObj()
+string NOMAdapter_Matrix::GetDataObjType()
+{
+  return("Matrix ");
+}
+
+/* --Methode-- */
+AnyDataObj* NOMAdapter_Matrix::CloneDataObj()
 {
 return ( new Matrix(*mMtx) );
Index: /trunk/SophyaPI/PIext/nommatvecadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 1165)
@@ -27,5 +27,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
@@ -67,5 +70,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
Index: /trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 1165)
@@ -75,5 +75,22 @@
 /* --Methode-- */
 template <class T> 
-AnyDataObj* NOMAdapter_PixelMap<T>::GetCopyObj()
+string NOMAdapter_PixelMap<T>::GetDataObjType()
+{
+string type = "PixelMap< ";
+LocalMap<T>* lm = dynamic_cast< LocalMap<T> * >(mMap); 
+if (lm != NULL) type = "LocalMap< ";
+SphereThetaPhi<T>* st = dynamic_cast< SphereThetaPhi<T> * >(mMap); 
+if (st != NULL) type = "SphereThetaPhi< ";
+SphereHEALPix<T>* sg = dynamic_cast< SphereHEALPix<T> * >(mMap); 
+if (sg != NULL) type = "SphereHEALPix< ";
+
+type +=  typeid(T).name();
+type +=  " > ";
+return(type);
+}
+
+/* --Methode-- */
+template <class T> 
+AnyDataObj* NOMAdapter_PixelMap<T>::CloneDataObj()
 {
 LocalMap<T>* lm = dynamic_cast< LocalMap<T> * >(mMap); 
Index: /trunk/SophyaPI/PIext/nomskymapadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomskymapadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomskymapadapter.h	(revision 1165)
@@ -25,5 +25,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
Index: /trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 1165)
@@ -45,5 +45,19 @@
 /* --Methode-- */
 template <class T> 
-AnyDataObj* NOMAdapter_TMatrix<T>::GetCopyObj()
+string NOMAdapter_TMatrix<T>::GetDataObjType()
+{
+string type = "TMatrix< ";
+
+TVector<T>* v = dynamic_cast<TVector<T> *>(mMtx);
+if (v != NULL) type = "TVector< ";
+
+type +=  typeid(T).name();
+type +=  " > ";
+return(type);
+}
+
+/* --Methode-- */
+template <class T> 
+AnyDataObj* NOMAdapter_TMatrix<T>::CloneDataObj()
 {
 if (mMtx == NULL)  return(NULL);
Index: /trunk/SophyaPI/PIext/nomtmatvecadapter.h
===================================================================
--- /trunk/SophyaPI/PIext/nomtmatvecadapter.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/nomtmatvecadapter.h	(revision 1165)
@@ -22,5 +22,8 @@
 
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-  virtual AnyDataObj*		GetCopyObj();
+
+  virtual string		GetDataObjType();
+
+  virtual AnyDataObj*		CloneDataObj();
 
   //  virtual void			ReadFits(string const & flnm);
Index: /trunk/SophyaPI/PIext/piaversion.h
===================================================================
--- /trunk/SophyaPI/PIext/piaversion.h	(revision 1164)
+++ /trunk/SophyaPI/PIext/piaversion.h	(revision 1165)
@@ -2,5 +2,5 @@
 #define PIAPPVERSION_H_SEEN
 
-#define PIAPP_VERSIONNUMBER  2.5
+#define PIAPP_VERSIONNUMBER  2.6
 
 #endif