Index: /trunk/DocHFI_L2/wbsl2.tex
===================================================================
--- /trunk/DocHFI_L2/wbsl2.tex	(revision 1167)
+++ /trunk/DocHFI_L2/wbsl2.tex	(revision 1168)
@@ -58,5 +58,5 @@
 \item Version 1.1 (April 2000 - CVS version 1.2) \\
 Draft updated using the document prepared at ISCTM and IfA (Edinburgh)
-\item Version 1.2 (August 2000 - CVS version 1.4) \\
+\item Version 1.2 (August 2000 - CVS version 1.6) \\
 Inclusion of a section describing notation and conventions, 
 flow charts. A more detailed description of deliverables is also included.
@@ -97,5 +97,5 @@
 \item[]\gph{423}  Polarised TOI processing
 \item[]\gph{424}  2-D map reconstruction from TOI's
-\item[]\gph{425}  Polarised 2-D map reconstruction from TOI's
+\item[]\gph{425}  2-D polarisation map reconstruction from TOI's
 \item[]\gph{426}  Optimal 2-D map reconstruction and analysis
 \item[]\gph{427}  Early Compact Source Catalogue
@@ -139,13 +139,13 @@
 \hline
 %               &           &           &       \\
-\ngph{421}     &   5     &     \ngph{426}     &   ?     \\
+\ngph{421}     &    5    &     \ngph{426}     &   ?     \\
 %
 \ngph{422}     &   15    &     \ngph{427}     &   10     \\
 %
-\ngph{423}     &   10    &     \ngph{428}     &   30    \\
+\ngph{423}     &    5    &     \ngph{428}     &   30    \\
 %
 \ngph{424}     &   15    &     \ngph{429}     &   10    \\
 %
-\ngph{425}     &   10    &                    &         \\
+\ngph{425}     &   15    &                    &         \\
 %               &           &           &       \\
 %
@@ -172,8 +172,9 @@
 \begin{itemize}
 \item[] {\bf Coordinates:} The spacecraft attitude is defined by the spin 
-axis direction $\overrightarrow{\Omega}(\theta, \phi)$. 
-$\psi$ is the third angle defining the position of the spacecraft 
-and thus a given detectors view direction and beam pattern orientation.
-The spin velocity would be denoted $\omega_z$ or $omega_{\psi}$. \\
+axis $\overrightarrow{\Omega}$ direction $(\theta, \phi)$ and the 
+roll angle $\psi$. The beam direction and orientation can be computed from 
+the spacecraft attitude ($\overrightarrow{\Omega}, \psi$ using
+the focal plane geometry.
+The spin velocity would be denoted $\omega_z$ or $\omega_{\psi}$. \\
 A given sky direction is denoted $(\alpha,\delta)$ in equatorial coordinates, 
 $(l,b)$ in Galactic coordinates or $(\lambda,\beta)$ in ecliptic coordinate.
@@ -193,5 +194,7 @@
 \item[] {\bf Sky map:} The reconstructed signal in a given pixelisation 
 scheme from a single or a set of detectors. The sky map in a given 
-frequency channel is denoted $sky(\theta,\phi) \vert ^{\bnu}$.
+frequency channel is denoted $\boldsymbol{T}^{\bnu}(\theta,\phi)$.
+$\boldsymbol{I}^{\bnu}$,$\boldsymbol{Q}^{\bnu}$,$\boldsymbol{U}^{\bnu}$ are used 
+for stokes parameters defining the polarisation state. 
 \end{itemize}
 
@@ -199,6 +202,16 @@
 \subsection{Processing steps}
 
-Unpacking the telemetry packets, uncompressing the science data,
-time ordering the data and archiving the data in a format usable 
+The level 2 uses the instrument and spacecraft data obtained 
+from level 1 {\bf DS1} and the instrument calibration data
+base {\bf DSCal}. calibration data base contains the 
+focal plane geometry, detector response and readout 
+characteristics, beam patterns, filters and polariser
+response. The main processing steps for HFI-L2 are
+briefly described here:
+
+\begin{itemize}
+\item {\bf L1:} Unpacking the telemetry packets, 
+uncompressing the science data, time ordering the data and 
+archiving the data in a format usable 
 by the L2 pipeline is the responsability of Level 1. Detailed 
 description of L1 software and processing steps is beyond the scope
@@ -208,22 +221,105 @@
 as the auxiliary data (orbit and attitude).
 {\bf DS1} is the processed data from level 1 containing the TOI's
-(Time Ordered Information).
-$$ \boldmath{L1} : \text{DS0} \longrightarrow \text{DS1} $$
-
-DS1 data set :
-\begin{itemize}
-\item Raw Time Ordered bolometer signals : $b_{raw}^j(t)$
-\item Time Ordered House-keeping data : $HSK(t)$
+(Time Ordered Information). 
+\begin{center}
+\framebox{
+$ \boldmath{L1} : \text{DS0} \longrightarrow \text{DS1} $
+}  
+\end{center}
+{\bf DS1} data set contains three main components, with different 
+sampling frequency for each component
+\begin{itemize}
+\item Raw Time Ordered bolometer signals : $b_{raw}^j(t1)$
+\item Time Ordered House-keeping data : $HSK(t2)$
+\item Associated orbit and attitude data : Space craft
+position $ \boldmath{P}_{xyz}(t3) $, spin axis direction 
+$\overrightarrow{\Omega}(t3) - (\theta, \phi)(t3)$ and the
+roll angle $\psi(t3)$. 
+\end{itemize}
+
+\item {\bf L2-2 , L2-3 :} Cleaning and calibrating the TOI's for
+non polarised (L2-2) and polarised (L2-3) channels. 
+These processings correspond to \gph{422} and \gph{423} 
+packages. 
+\begin{center}
+\framebox{
+$ \boldmath{L2-2} : \text{DS1} \oplus \text{DSCal} \longrightarrow \text{DS2-2} $ 
+} (non polarised channels) \\
+\framebox{
+$ \boldmath{L2-3} : \text{DS1} \oplus \text{DSCal} \longrightarrow \text{DS2-3} $ 
+} (polarised channels)
+\end{center}
+In addition to cleaned and calibrated bolometer signals 
+{\bf DS2-2} and {\bf DS2-3} contain data quality flag, 
+the parameters necessary to compute the reconstructed spacecraft 
+orbit and attitude for each time sample, as well as each 
+detector beam pattern direction and orientation.
+\begin{itemize}
+\item Cleaned and calibrated Time Ordered bolometer signals : $\bbold_{c}^j(t_1)$
+\item Data quality flag : $qf_{c}^j(t_1)$
+\item Reconstructed astrometric calibration parameters \\
+The pointing direction and beam orientation $(\alpha , \delta)^j(t1) \gamma(t1)$
+for each detector at any given time can be computed using these parameters.
+\item Detector response and photometric calibration parameters
+\item Low frequency drifts and noise statistics
+\item Reconstructed lobe
+\item Size reduced TOI's through appropriate processings such as phase
+binning
+\item Time Ordered House-keeping data : $HSK(t_2)$
 \item Associated orbit and attitude data : 
-$XYZ(t) , \overrightarrow{\Omega}(t) , \psi(t)$ 
-(spin axis direction $(\theta, \phi)(t)$
-\end{itemize}
-
-{\bf DS0:} Science and House-keeping (HSK) telemetry packets \\
-{\bf DS1:} Time ordered - Uncompressed Science data bundeled 
-with the corresponding house-keeping data. \\
-{\bf DS2-2} Cleaned, photometrically calibrated Time ordered data \\ 
-
-
+$\{ \boldmath{P}_{xyz}(t3) , \overrightarrow{\Omega}(t3) , \psi(t3) \} $
+\end{itemize}
+
+\item {\bf L2-4 , L2-5 :} Reconstructing 2-D sky maps using 
+cleaned, calibrated TOI's. The redundancies provided by 
+the scan strategy the sky and the set of detectors in 
+a given frequency channel are used in these steps for assessing 
+and removing the systematic and instrumental effects (low frequency drifts, 
+noise, main lobe and far side lobe effects, \ldots).
+An iterative, sub-optimal processing method is foreseen for
+L2-4 and L2-5 (\gph424 and \gph425).
+\begin{center}
+\framebox{
+$ \boldmath{L2-2} : \text{DS2-2} \oplus \text{DSCal} \longrightarrow \text{DS2-4} $ 
+} \\
+\framebox{
+$ \boldmath{L2-5} : \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-5} $ 
+} 
+\end{center}
+Reprocessed TOI's and full sky temperature and polarisation state 
+maps are the main outputs of {\bf L2-4} and {\bf L2-5}:
+\begin{itemize}
+\item Reprocessed, calibrated Time Ordered bolometer signals : $\bbold_{rc}^j(t_1)$
+\item Full sky maps , temperature and polarisation maps (\gph425) 
+$\boldsymbol{I}\bnu (\alpha,\delta)$, $\boldsymbol{Q}\bnu (\alpha,\delta)$,
+$\boldsymbol{U}\bnu (\alpha,\delta)$. 
+\end{itemize}
+
+\item {\bf L2-6} More complex methods for 2-D map reconstruction and 
+data analysis are performed at the next step (\bf L2-6 , \gph426)
+\begin{center}
+\framebox{
+$ \boldmath{L2-6} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-6} $ 
+}
+\end{center}
+
+\item {\bf L2-7} The Early Compact Source Catalogue (ECSC) is an 
+important data product from HFI Level 2 processing. 
+\begin{center}
+\framebox{
+$ \boldmath{L2-7} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-7} $ (ECSC) 
+}
+\end{center}
+
+The \bf{DS2-2} and  \bf{DS2-3} are used to produce the source catalogue  
+containing the source positions, brightness and local 
+sky maps in each frequency bands \bf{DS2-7} :
+\begin{itemize}
+\item Source catalogue: $\{ (\alpha,\delta)_i , F_i^{\bnu 1} , 
+F_i^{\bnu 2} , \ldots \}$
+\item local sky maps: $\{ lm_i(x,y)^{\bnu 1}, lm_i(x,y)^{\bnu 2}, ldots \}$
+\end{itemize}
+
+\end{itemize}
  
 \section{GPH421: RTA/QLA Real Time Assesment, Quick Look Analysis}
@@ -231,8 +327,9 @@
 \item[]\gph{421.1} Quick look analysis
 \item[]\gph{421.2} Evaluation of instrument health
-\item[]\gph{421.1} Exchange of information with LFI 
+\item[]\gph{421.3} Exchange of information with LFI  
 of mission/spacecraft/payload-dependent effects common 
 to both instruments
 \end{itemize}
+
 
 \section{GPH422: TOI  processing}
@@ -298,4 +395,5 @@
 
 \item[]\gph{422.7}  Production of single pointing co-added rings 
+or 
  
 \item[]\gph{422.9}  Deliverables: Cleaned, calibrated TOI's : 
@@ -315,5 +413,5 @@
 in polarised channels.
 
-\section{GPH424: Simple 2-D map reconstruction}
+\section{GPH424: 2-D map reconstruction}
 
 This package contains all the necessary modules for 
@@ -359,5 +457,19 @@
 \end{itemize} 
 
-\section{GPH425: Global 2-D map reconstruction}
+\section{GPH425: 2-D polarisation map reconstruction}
+The modified version of \gph424 software modules, suitable
+for processing polarised TOI's for producing polarisation 
+sky maps are grouped in this package.
+Compared with \gph424 , 
+\begin{itemize}
+\item[]\gph{425.9} Deliverables: Full sky polarisation maps \\
+\begin{itemize}
+\item Sky maps per frequency channels $map_\nu (\alpha, \delta) $
+\item Reprocessed TOI's 
+\end{itemize}
+ 
+\end{itemize} 
+
+\section{GPH426: Optimal 2-D map reconstruction and analysis}
 
 Implementation of an optimal 2-D full sky map reconstruction,
@@ -368,4 +480,8 @@
 
 \begin{itemize}
+\item[]\gph{425.1} Optimal 2-D map reconstruction and analysis
+for non polarised channels
+\item[]\gph{425.2} Optimal 2-D map reconstruction and analysis
+for polarised channels
 
 \item[]\gph{425.9} Deliverables: Full sky maps \\