Index: trunk/DocHFI_L2/wbsl2.tex
===================================================================
--- trunk/DocHFI_L2/wbsl2.tex	(revision 1171)
+++ trunk/DocHFI_L2/wbsl2.tex	(revision 1172)
@@ -24,6 +24,6 @@
 
 %  Symboles en bold 
-\newcommand{\bnu}{\boldsymbol{\nu}}
-\newcommand{\bbold}{\boldsymbol{b}}
+\newcommand{\bnu}{ {\boldsymbol{\nu}} }
+\newcommand{\bbold}{\boldsymbol{b} }
 \newcommand{\dbold}{\boldsymbol{d}}
 
@@ -47,5 +47,5 @@
 }
 
-\titlepfd{PL-HFI-LAL-PW-L2002}{1.2}
+\titlepfd{PL-HFI-LAL-PW-L2003}{1.2}
 
 \end{titlepage}
@@ -58,5 +58,5 @@
 \item Version 1.1 (April 2000 - CVS version 1.2) \\
 Draft updated using the document prepared at ISCTM and IfA (Edinburgh)
-\item Version 1.2 (August 2000 - CVS version 1.6) \\
+\item Version 1.2 (August 2000 - CVS version 1.7) \\
 Inclusion of a section describing notation and conventions, 
 flow charts. A more detailed description of deliverables is also included.
@@ -104,6 +104,6 @@
 \end{itemize}
 
-The package \gph{424} should provide a resonably fast and simple 
-method for reconstructing 2-D maps from cleaned TOI's (from 
+The package \gph{424} should provide a reasonably fast and simple 
+method for reconstructing 2-D maps from cleaned TOI's (output of 
 \gph{422} and \gph{423}), removing systematic effects (destriping) 
 and deconvolving the antenna beam pattern. An iterative method 
@@ -112,5 +112,5 @@
 complementary functionalities needed for reconstructing 
 polarisation maps, using data from polarised channels. 
-The optimal 2-D map reconstruction packages (\gph{426})
+The optimal 2-D map reconstruction and analysis package (\gph{426})
 will implement the best feasible method for analysing the whole
 data set from the HFI instrument and building the full sky frequency 
@@ -145,7 +145,7 @@
 \ngph{423}     &    5    &     \ngph{428}     &   30    \\
 %
-\ngph{424}     &   15    &     \ngph{429}     &   10    \\
+\ngph{424}     &   20    &     \ngph{429}     &   10    \\
 %
-\ngph{425}     &   15    &                    &         \\
+\ngph{425}     &   10    &                    &         \\
 %               &           &           &       \\
 %
@@ -162,5 +162,7 @@
 \end{table}
 
-\section{HFI data processing steps}
+\newpage 
+
+\section{HFI data sets and processing steps}
 The major steps for processing Planck-HFI data are briefly described here.
 For the sake of clarity, we define here the notation and conventions used
@@ -174,7 +176,7 @@
 axis $\overrightarrow{\Omega}$ direction $(\theta, \phi)$ and the 
 roll angle $\psi$. The beam direction and orientation can be computed from 
-the spacecraft attitude ($\overrightarrow{\Omega}, \psi$ using
+the spacecraft attitude ($\overrightarrow{\Omega}, \psi$) using
 the focal plane geometry.
-The spin velocity would be denoted $\omega_z$ or $\omega_{\psi}$. \\
+The spin velocity is denoted $\omega_z$ or $\omega_{\psi}$. \\
 A given sky direction is denoted $(\alpha,\delta)$ in equatorial coordinates, 
 $(l,b)$ in Galactic coordinates or $(\lambda,\beta)$ in ecliptic coordinate.
@@ -202,10 +204,25 @@
 \subsection{Processing steps}
 
-The level 2 uses the instrument and spacecraft data obtained 
-from level 1 {\bf DS1} and the instrument calibration data
-base {\bf DSCal}. calibration data base contains the 
-focal plane geometry, detector response and readout 
-characteristics, beam patterns, filters and polariser
-response. The main processing steps for HFI-L2 are
+The level 2 uses input data from three different sources:
+\begin{itemize}
+\item {\bf DS1:} Instrument and spacecraft data obtained 
+from level 1.
+\item {\bf DSCal:} HFI calibration data base: 
+\begin{itemize}
+\item Spacecraft and focal plane geometry
+\item beam patterns
+\item filters and polariser frequency response
+\item detector and readout electronic characteristics. 
+\end{itemize}
+\item {\bf DSExt:} Prior knowlegde of microwave and infrared 
+sky and sources:
+\begin{itemize}
+\item Known microwave and infrared source catalogue
+\item Partial sky maps in different HFI frequency bands
+(low resolution and/or incomplete sky coverage)
+\end{itemize}
+\end{itemize}
+
+The main processing steps for HFI-L2 are
 briefly described here:
 
@@ -230,10 +247,11 @@
 sampling frequency for each component
 \begin{itemize}
-\item Raw Time Ordered bolometer signals : $b_{raw}^j(t1)$
-\item Time Ordered House-keeping data : $HSK(t2)$
+\item Raw Time Ordered bolometer signals : $\bbold_{raw}^j(t_1)$
+\item Time Ordered House-keeping data : $HSK(t_2)$
 \item Associated orbit and attitude data : Space craft
-position $ \boldmath{P}_{xyz}(t3) $, spin axis direction 
-$\overrightarrow{\Omega}(t3) - (\theta, \phi)(t3)$ and the
-roll angle $\psi(t3)$. 
+position $ \boldmath{P}_{xyz}(t_3) $, spin axis direction and
+spin velocity
+$\overrightarrow{\Omega}(t_3) \equiv (\theta, \phi, \omega_z)(t_3)$ 
+and the roll angle $\psi(t_3)$. 
 \end{itemize}
 
@@ -244,9 +262,11 @@
 \begin{center}
 \framebox{
-$ \boldmath{L2-2} : \text{DS1} \oplus \text{DSCal} \longrightarrow \text{DS2-2} $ 
-} (non polarised channels) \\
+$ \boldmath{L2-2} : \text{DS1} \oplus \text{DSCal} \oplus \text{DSExt} 
+\longrightarrow \text{DS2-2} $ 
+\makebox[3cm]{(non polarised)} } \\[2 mm]
 \framebox{
-$ \boldmath{L2-3} : \text{DS1} \oplus \text{DSCal} \longrightarrow \text{DS2-3} $ 
-} (polarised channels)
+$ \boldmath{L2-3} : \text{DS1} \oplus \text{DSCal} \oplus \text{DSExt}
+\longrightarrow \text{DS2-3} $ 
+\makebox[3cm]{(polarised)} } 
 \end{center}
 In addition to cleaned and calibrated bolometer signals 
@@ -257,16 +277,16 @@
 \begin{itemize}
 \item Cleaned and calibrated Time Ordered bolometer signals : $\bbold_{c}^j(t_1)$
-\item Data quality flag : $qf_{c}^j(t_1)$
+\item Data quality flag : $\boldsymbol{qf}_{c}^j(t_1)$
 \item Reconstructed astrometric calibration parameters \\
-The pointing direction and beam orientation $(\alpha , \delta)^j(t1) \gamma(t1)$
+The pointing direction and beam orientation 
+$(\alpha , \delta)^j(t_1) , \gamma^j(t_1)$
 for each detector at any given time can be computed using these parameters.
 \item Detector response and photometric calibration parameters
 \item Low frequency drifts and noise statistics
 \item Reconstructed lobe
-\item Size reduced TOI's through appropriate processings such as phase
-binning
+\item Phase-binned or co-added rings
 \item Time Ordered House-keeping data : $HSK(t_2)$
-\item Associated orbit and attitude data : 
-$\{ \boldmath{P}_{xyz}(t3) , \overrightarrow{\Omega}(t3) , \psi(t3) \} $
+\item Orbit and attitude data : 
+$\{ \boldmath{P}_{xyz}(t_3) , \overrightarrow{\Omega}(t_3) , \psi(t_3) \} $
 \end{itemize}
 
@@ -278,11 +298,13 @@
 noise, main lobe and far side lobe effects, \ldots).
 An iterative, sub-optimal processing method is foreseen for
-L2-4 and L2-5 (\gph424 and \gph425).
+L2-4 and L2-5 (\gph{424} and \gph{425}).
 \begin{center}
 \framebox{
-$ \boldmath{L2-2} : \text{DS2-2} \oplus \text{DSCal} \longrightarrow \text{DS2-4} $ 
-} \\
+$ \boldmath{L2-2} : \text{DS2-2} \oplus \text{DSCal} \oplus \text{DSExt} 
+\longrightarrow \text{DS2-4} \makebox[3cm]{(non polarised)} $ 
+} \\[2mm]
 \framebox{
-$ \boldmath{L2-5} : \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-5} $ 
+$ \boldmath{L2-5} : \text{DS2-3} \oplus \text{DSCal} \oplus \text{DSExt} 
+\longrightarrow \text{DS2-5} \makebox[3cm]{(polarised)} $ 
 } 
 \end{center}
@@ -290,15 +312,17 @@
 maps are the main outputs of {\bf L2-4} and {\bf L2-5}:
 \begin{itemize}
-\item Reprocessed, calibrated Time Ordered bolometer signals : $\bbold_{rc}^j(t_1)$
-\item Full sky maps , temperature and polarisation maps (\gph425) 
-$\boldsymbol{I}\bnu (\alpha,\delta)$, $\boldsymbol{Q}\bnu (\alpha,\delta)$,
-$\boldsymbol{U}\bnu (\alpha,\delta)$. 
+\item Reprocessed, calibrated Time Ordered bolometer signals : 
+$\bbold_{rc}^j(t_1)$
+\item Full sky maps , temperature and polarisation maps (\gph{425}) 
+$\boldsymbol{I}^\bnu (\alpha,\delta)$, $\boldsymbol{Q}^\bnu (\alpha,\delta)$,
+$\boldsymbol{U}^\bnu (\alpha,\delta)$. 
 \end{itemize}
 
 \item {\bf L2-6} More complex methods for 2-D map reconstruction and 
-data analysis are performed at the next step (\bf L2-6 , \gph426)
+data analysis are performed at the next step ({\bf L2-6} , \gph{426})
 \begin{center}
 \framebox{
-$ \boldmath{L2-6} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-6} $ 
+$ \boldmath{L2-6} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} 
+\oplus \text{DSExt} \longrightarrow \text{DS2-6} $ 
 }
 \end{center}
@@ -308,18 +332,21 @@
 \begin{center}
 \framebox{
-$ \boldmath{L2-7} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} \longrightarrow \text{DS2-7} $ (ECSC) 
+$ \boldmath{L2-7} : \text{DS2-2} \oplus \text{DS2-3} \oplus \text{DSCal} 
+\oplus \text{DSExt} \longrightarrow \text{DS2-7} $ \makebox[2cm]{(ECSC)}  
 }
 \end{center}
 
-The \bf{DS2-2} and  \bf{DS2-3} are used to produce the source catalogue  
+The {\bf DS2-2} and  {\bf DS2-3} are used to produce the source catalogue  
 containing the source positions, brightness and local 
-sky maps in each frequency bands \bf{DS2-7} :
+sky maps in each frequency bands {\bf DS2-7} :
 \begin{itemize}
 \item Source catalogue: $\{ (\alpha,\delta)_i , F_i^{\bnu 1} , 
 F_i^{\bnu 2} , \ldots \}$
-\item local sky maps: $\{ lm_i(x,y)^{\bnu 1}, lm_i(x,y)^{\bnu 2}, ldots \}$
-\end{itemize}
-
-\end{itemize}
+\item local sky maps: $\{ lm_i(x,y)^{\bnu 1}, lm_i(x,y)^{\bnu 2}, \ldots \}$
+\end{itemize}
+
+\end{itemize}
+
+\newpage 
  
 \section{GPH421: RTA/QLA Real Time Assesment, Quick Look Analysis}
@@ -341,5 +368,5 @@
 steps for GPH422 is given in figure \ref{fig422}.
 
-\begin{figure}[htbp]
+\begin{figure}[h]
 \mbox{\hspace*{1cm} \includegraphics[width=7cm]{gph422_1.eps}
       \includegraphics[width=7cm]{gph422_2.eps} }
@@ -377,7 +404,12 @@
 \end{itemize}
 
-\item[]\gph{422.4}  Astrometric calibration \\
-Astrometric calibration using known point sources,
-bright sources from the ECSC and galaxy crossing in TOI.
+\item[]\gph{422.4}  Astrometric calibration 
+\begin{itemize}
+\item[]422.4.1 Reconstruction of beam direction and orientaion 
+for each detector using auxiliary spacecraft data
+\item[]422.4.2 Astrometric calibration using galaxy crossing in TOI
+\item[]422.4.3 Astrometric calibration using known point sources,
+and bright sources from the ECSC.
+\end{itemize}
 
 \item[]\gph{422.5}  Photometric calibration 
@@ -394,13 +426,22 @@
 and galaxy crossing \gph{422.3.3}
 
-\item[]\gph{422.7}  Production of single pointing co-added rings 
-or 
+\item[]\gph{422.7}  Production of single pointing size reduced TOI's
+through coadding or phase binning (co-added or phase-binned rings) 
  
-\item[]\gph{422.9}  Deliverables: Cleaned, calibrated TOI's : 
-\begin{itemize} 
-\item $(\alpha, \delta)$, roll angle, calibrated signal  
-\item Noise statistics
-\item Offset/drifts
-\item Co-added rings
+\item[]\gph{422.9}  Deliverables: {\bf DS2-2} Cleaned, calibrated TOI's : 
+\begin{itemize}
+\item Cleaned and calibrated Time Ordered bolometer signals : $\bbold_{c}^j(t_1)$
+\item Data quality flag : $\boldsymbol{qf}_{c}^j(t_1)$
+\item Reconstructed astrometric calibration parameters \\
+The pointing direction and beam orientation 
+$(\alpha , \delta)^j(t_1) , \gamma^j(t_1)$
+for each detector at any given time can be computed using these parameters.
+\item Detector response and photometric calibration parameters
+\item Low frequency drifts and noise statistics
+\item Reconstructed lobe
+\item Phase-binned or co-added rings
+\item Time Ordered House-keeping data : $HSK(t_2)$
+\item Orbit and attitude data : 
+$\{ \boldmath{P}_{xyz}(t_3) , \overrightarrow{\Omega}(t_3) , \psi(t_3) \} $
 \end{itemize}
 
@@ -409,7 +450,18 @@
 \section{GPH423: Polarised TOI processing}
 
-\gph{423.1} Additional TOI processing, as required to 
-reconstruct Stokes I,Q,U parameters from detector signals 
-in polarised channels.
+\gph{423.1} Additional TOI processing or adapted versions of \gph{422} 
+package modules, as required to reconstruct Stokes I,Q,U parameters 
+from detector signals in polarised channels.
+\begin{itemize}
+\item[]\gph{423.4}  Astrometric calibration 
+\item[]\gph{423.5}  Photometric calibration 
+\item[]\gph{422.6}  Reconstruction of beam pattern seen by each detector
+\item[]\gph{423.7}  Production of single pointing size reduced TOI's
+through coadding or phase binning (co-added or phase-binned rings) 
+\item[]\gph{422.9}  Deliverables: {\bf DS2-3} Cleaned, calibrated TOI's : 
+Reconstructed stokes parameters $\boldsymbol{I}(t_1)$ ,
+$\boldsymbol{Q}(t_1)$ , $\boldsymbol{U}(t_1)$ in addition to the
+already listed {\bf DS2-2} data components.
+\end{itemize}
 
 \section{GPH424: 2-D map reconstruction}
@@ -417,40 +469,88 @@
 This package contains all the necessary modules for 
 single frequency 2-D map reconstruction using the cleaned
-TOI's from \gph{422} and \gph{423}. However \gph{424}
-should only implement simple versions of 2-D map making 
-and systematic removal algorithms, as opposed to 
-\gph{424} which must provide a global, optimal 2-D map 
-reconstruction with systematic effects assessment.
+TOI's from \gph{422} and \gph{423}. It is not intended to implement
+the optimal 2-D map reconstruction and data analysis method
+in this package, which is the task of \gph{426}. 
+An iterative processing method is foreseen for estimating 
+and removing the different systematic effects (low frequency 
+drift, noise, main lobe effect and contamination due to side
+lobes, using redundancies from the scan strategy and the detectors
+in a given frequency channel, as well as prior knowledge of microwave 
+and infrared sky.  
+A very simplified representaion of data flow and processing 
+steps for GPH424 is given in figure \ref{fig424}.
+\begin{figure}[h]
+\mbox{\hspace*{2cm} \includegraphics[height=11cm]{gph424_1.eps} }
+\caption{Data flow and processing steps for GPH424}
+\label{fig424}
+\end{figure}
+
 
 \begin{itemize} 
-\item[]\gph{424.1} 1D $\rightarrow$ 2D Projector
-\item[]\gph{424.2} Estimation and subtraction of systematic effects  
-\begin{itemize}
-\item[]424.2.1 Low frequency noise estimation
-\item[]424.2.2 far side determination using moon/earth during  
-commissioning phases.
-\item[]424.2.3 far side lobe subtraction
-\item[]424.2.4 use of redundancy to produce independent maps for 
-assessment of noise contributions
-\end{itemize}
-
-\item[]\gph{424.3} Main lobe 
-\begin{itemize}
-\item[]424.3.1 supplementing source extraction from TOI with 
+
+\item[]\gph{424.1} Estimation and subtraction of low frequency drifts
+\begin{itemize}
+\item[] 424.1.1 Estimation of low frequency drifts using sky scan 
+redundancies (crossings)
+\item[] 424.1.2 Estimation of low frequency drifts using different
+detectors in a frequency channel
+\item[] 424.1.3 Low frequency drift estimation and removal using
+prior knowledge of microwave and infrared sky (CMB dipole, galaxy, \ldots)
+\item[] 424.1.4 Iterative low frequency drift estimation and removal 
+using reconstructed sky maps
+\end{itemize}
+
+\item[]\gph{424.2} Side lobe effects
+\begin{itemize}
+\item[] 424.2.1 side determination using moon/earth during  
+commissioning phases
+\item[] 424.2.2 Iterative side determination using reconstructed 
+sky maps
+\item[] 424.2.3 Side lobe effect subtraction
+\end{itemize}
+
+\item[]\gph{424.3} Main lobe
+\begin{itemize}
+\item[]424.3.1 reconstruction of beam pattern from maps using 
+known point and bright ECSC sources.
+\item[]424.3.2 supplementing source extraction from TOI with 
 use of sources selected from frequency maps
-\item[]424.3.2 reconstruction of beam pattern from maps using 
-known point and bright ECSC sources.
-\end{itemize}
-
-
-\item[]\gph{424.4} Astrometric calibration using known and 
+\end{itemize}
+
+\item[]\gph{424.4} 2-D map reconstruction
+\begin{itemize}
+\item[]424.4.1 Local (postage stamp) maps reconstruction
+\item[]424.4.2 Ring shaped sky strips map reconstruction, using
+a set of cleaned TOI's from neighbour scans
+\item[]424.4.3 Full sky map reconstruction by combining the 
+ring shaped sky maps from GPH424.4.2
+\end{itemize}
+
+\item[]\gph{424.5} Astrometric and geometric calibration 
+\begin{itemize}
+\item[] 424.5.1 Refinement of astrometric calibration using known and 
 bright ECSC sources.
-\item[]\gph{424.5} Photometric calibration
-\item[]\gph{424.6} Postage stamp maps for compact sources
-
-\item[]\gph{424.9} Deliverables: Full sky maps \\
-\begin{itemize}
-\item Sky maps per frequency channels $map_\nu (\alpha, \delta) $
-\item Reprocessed TOI's 
+\item[] 424.5.2 Reconstruction of focal plane geometry and 
+comparison with calibration data base
+\item[] 424.5.3 Reconstruction of spacecraft attitude and comparison
+with corresponding data from {\bf DS1} and {\bf DS2-2}.
+\end{itemize}
+
+\item[]\gph{424.6} Photometric calibration
+
+\item[]\gph{424.7} Estimation of systematic effect and noise
+characteristics on reconstructed maps. One way to achieve this is the
+reconstruction of frequency maps using subsets of detectors in a 
+frequency channel.
+
+\item[]\gph{424.9} Deliverables: {\bf DS2-4} Full sky frequency channel 
+maps and reprocessed TOI's 
+\begin{itemize}
+\item Full sky maps per frequency channels: 
+$\boldsymbol{I}^\bnu (\alpha,\delta)$
+\item Beam patterns per detector and per frequency channel
+\item Noise covariance matrix
+\item Reprocessed, calibrated Time Ordered bolometer signals : 
+$\bbold_{rc}^j(t_1)$
 \end{itemize} 
 
@@ -461,10 +561,24 @@
 for processing polarised TOI's for producing polarisation 
 sky maps are grouped in this package.
-Compared with \gph424 , 
-\begin{itemize}
-\item[]\gph{425.9} Deliverables: Full sky polarisation maps \\
-\begin{itemize}
-\item Sky maps per frequency channels $map_\nu (\alpha, \delta) $
-\item Reprocessed TOI's 
+The reconstructed sky maps from \gph{424} can be used 
+to assess systematic effects in polarised channel TOI's
+by combining signal from multiple detectors.
+
+\begin{itemize}
+\item[]\gph{425.1} Estimation and subtraction of low frequency drifts
+\item[]\gph{425.2} Side lobe effects
+\item[]\gph{425.3} Main lobe
+\item[]\gph{425.6} Photometric calibration 
+\item[]\gph{425.8} Reconstruction of stokes (I,Q,U) parameter along the scan 
+\item[]\gph{425.9} Deliverables: {\bf DS2-5} Full sky polarisation maps 
+and reprocessed TOI's
+\begin{itemize}
+\item Sky maps per frequency channels: \\
+$\boldsymbol{I}^\bnu (\alpha,\delta), \boldsymbol{Q}^\bnu (\alpha,\delta),
+\boldsymbol{U}^\bnu (\alpha,\delta)$ 
+\item Beam patterns per detector and per frequency channel
+\item Noise covariance matrix
+\item Reprocessed, calibrated Time Ordered bolometer signals : 
+$\bbold_{rc}^j(t_1)$
 \end{itemize}
  
@@ -478,36 +592,26 @@
 breakdown structure can only be refined at a later stage,
 after preliminary studies of applicable methods.
-
-\begin{itemize}
-\item[]\gph{425.1} Optimal 2-D map reconstruction and analysis
+One such promising method consist of 
+computing the $a_l^m$ coefficients of the 
+spherical harmonic decomposition of the signal, using 
+the Fourier coefficients of 1-D rings reconstructed from 
+cleaned TOI's. The estimation and removal of low frequency 
+drifts and lobe effects can be incorporated in the 
+processing. 
+
+\begin{itemize}
+\item[]\gph{426.1} Optimal 2-D map reconstruction and analysis
 for non polarised channels
-\item[]\gph{425.2} Optimal 2-D map reconstruction and analysis
+\item[]\gph{426.2} Optimal 2-D map reconstruction and analysis
 for polarised channels
 
-\item[]\gph{425.9} Deliverables: Full sky maps \\
-\begin{itemize}
-\item Full sky maps for each frequency channels $map_\nu (\alpha, \delta) $
-\item Reprocessed, cleanead TOI's
-\item Beam patterns per detector and per frequency channel
-\item Estimation of systematics 
-\end{itemize} 
-
-\end{itemize} 
-
-\section{GPH426: Global polarised 2-D map reconstruction}
-
-This module, a extended version of \gph{425} has to take 
-into account specific constraints related to polarised TOI's
-and sky map reconstruction
-
-\begin{itemize}
-
-\item[]\gph{426.9} Deliverables: full sky maps for each 
-polarisation component (I,Q,U) \\
-\begin{itemize}
-\item Full sky maps for each frequency channels $map_\nu (\alpha, \delta) $
-for each component (I,Q,U)
+\item[]\gph{426.9} Deliverables: {\bf DS2-6} Full sky intensity 
+and polarisation maps
+\begin{itemize}
+\item Full sky maps for each frequency channels 
+\\ $\boldsymbol{I}^\bnu (\alpha,\delta), \boldsymbol{Q}^\bnu (\alpha,\delta),
+\boldsymbol{U}^\bnu (\alpha,\delta)$ 
+\item Noise and systematic effect maps and characteristics 
 \item Reprocessed, cleanead TOI's for I,Q,U
-\item Noise and systematic effect maps and characteristics 
 \end{itemize} 
 
@@ -518,12 +622,19 @@
 
 \begin{itemize}
-
-\item[]\gph{427.9} Deliverables: Source catalogue \\
+\item[]\gph{427.1} Source extraction, using the data from \gph{422} 
+ and \gph{423} 
+\item[]\gph{427.2} Astrometric calibration
+\item[]\gph{427.3} Photometric calibration
+\item[]\gph{427.4} Production of local frequency maps
+\item[]\gph{427.9} Deliverables: {\bf DS2-7} Early Compact Source Catalogue 
+(ECSC) 
 \begin{itemize}
 \item Astrometrically calibrated source positions and 
-photometrically calibrated flux in each frequency band \\
-$$(\alpha, \delta)_i , F_i^\nu, i=1,..,N$$
-\item Llocal sky maps in each frequency bands for areas 
-around all source positions.
+photometrically calibrated flux in each frequency band: \\
+$\{ (\alpha,\delta)_i , F_i^{\bnu 1} , 
+F_i^{\bnu 2} , \ldots \}$
+\item Local sky maps in each frequency bands for areas 
+around all source positions: \\
+$\{ lm_i(x,y)^{\bnu 1}, lm_i(x,y)^{\bnu 2}, \ldots \}$
 \item Related software and documentation
 \end{itemize} 
@@ -601,12 +712,17 @@
 \item[]\gph{429.4} Comparison of TOI data and maps between 
 HFI and LFI for common 100GHz channel
-\item[]\gph{429.9} Deliverables: Full sky maps for each 
-polarisation component (I,Q,U) \\
-\begin{itemize}
-\item Sky maps per frequency channels $map_\nu (\alpha, \delta) $
-for each component (I,Q,U)
+\item[]\gph{429.9} Deliverables: ({\bf DS2}) The complete set of deliverables 
+from each L2 package: \\
+{\bf DS2} = {\bf DS2-2} $\oplus$ {\bf DS2-3} $\oplus$ {\bf DS2-4}
+$\oplus$ {\bf DS2-5}  $\oplus$ {\bf DS2-6}
+
+\begin{itemize}
+\item Sky maps per frequency channels for each component (I,Q,U) : \\
+$\boldsymbol{I}^\bnu (\alpha,\delta), \boldsymbol{Q}^\bnu (\alpha,\delta),
+\boldsymbol{U}^\bnu (\alpha,\delta)$
 \item Reprocessed, cleanead TOI's for I,Q,U
 \item Noise and systematic effect maps and characteristics 
 \item Photometric and Astrometric calibration
+\item Beam patterns for each detector and for each frequency channel
 \item Associated software and documentation
 \end{itemize} 