Index: trunk/SophyaLib/HiStats/hisprof.h
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.h	(revision 1155)
+++ trunk/SophyaLib/HiStats/hisprof.h	(revision 1201)
@@ -61,13 +61,8 @@
   virtual void HRebin(int_4 nbinew);
 
-  // Print
   //! Print, voir detail dans Histo::Print
   inline void Print(int_4 dyn=100,r_8 hmin=1.,r_8 hmax=-1.
                    ,int_4 pflag=0,int_4 il=1,int_4 ih=-1)
          {UpdateHisto(); Histo::Print(dyn,hmin,hmax,pflag,il,ih);}
-  //! PrintF, voir detail dans Histo::PrintF
-  inline void PrintF(FILE * fp,int_4 dyn=100,r_8 hmin=1.,r_8 hmax=-1.
-                    ,int_4 pflag=0,int_4 il=1,int_4 ih=-1)
-         {UpdateHisto(); Histo::PrintF(fp,dyn,hmin,hmax,pflag,il,ih);}
 
 protected:
Index: trunk/SophyaLib/HiStats/histos.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos.cc	(revision 1155)
+++ trunk/SophyaLib/HiStats/histos.cc	(revision 1201)
@@ -1,4 +1,4 @@
 //
-// $Id: histos.cc,v 1.13 2000-08-28 10:59:13 ansari Exp $
+// $Id: histos.cc,v 1.14 2000-09-26 15:53:34 ansari Exp $
 //
 
@@ -1260,5 +1260,5 @@
 /********* Methode *********/
 /*!
-  Impression de l'histogramme dans le fichier fp
+  Impression de l'histogramme
   \verbatim
       hdyn = nombre de colonnes pour imprimer les etoiles
@@ -1276,6 +1276,6 @@
   \endverbatim
 */
-void Histo::PrintF(FILE * fp, int_4 hdyn,r_8 hmin, r_8 hmax,int_4 pflag,
-	      int_4 il, int_4 ih) const
+void Histo::Print(int_4 hdyn,r_8 hmin, r_8 hmax,int_4 pflag,
+	          int_4 il, int_4 ih) const
 {
  
@@ -1340,8 +1340,8 @@
  {for(int_4 i=0;i<hdyn;i++) s[i] = '=';}
  if( 0 <= i0 && i0 < hdyn ) s[i0] = '0';
- if(pflag&1) fprintf( fp, "====");
- fprintf( fp, "======================");
- if(pflag&2 && mErr2!=NULL) fprintf( fp, "===========");
- fprintf( fp, "==%s\n",s);
+ if(pflag&1) printf("====");
+ printf("======================");
+ if(pflag&2 && mErr2!=NULL) printf("===========");
+ printf("==%s\n",s);
 
  // histogramme
@@ -1386,8 +1386,8 @@
     else if( hb > dhmax ) s[hdyn-1] = '*';
 
-   if(pflag&1) fprintf( fp, "%3d ",i);
-   fprintf( fp, "%10.4g %10.4g ",BinCenter(i),hb);
-   if(pflag&2 && mErr2!=NULL) fprintf( fp, "%10.4g ",Error(i));
-   fprintf( fp, "= %s\n",s);
+   if(pflag&1) printf("%3d ",i);
+   printf("%10.4g %10.4g ",BinCenter(i),hb);
+   if(pflag&2 && mErr2!=NULL) printf("%10.4g ",Error(i));
+   printf("= %s\n",s);
  }}
 
@@ -1395,8 +1395,8 @@
  for(int_4 i=0;i<hdyn;i++) s[i] = '=';
  if( 0 <= i0 && i0 < hdyn ) s[i0] = '0';
- if(pflag&1) fprintf( fp, "====");
- fprintf( fp, "======================");
- if(pflag&2 && mErr2!=NULL) fprintf( fp, "===========");
- fprintf( fp, "==%s\n",s);
+ if(pflag&1) printf("====");
+ printf("======================");
+ if(pflag&2 && mErr2!=NULL) printf("===========");
+ printf("==%s\n",s);
 
  // valeur basse des bins (sur ["ndig-1" digits + signe] =  ndig char (>=3))
@@ -1420,22 +1420,12 @@
      // cout <<"  s=("<<s<<")"<<endl;
    }}
-   if(pflag&1) fprintf( fp, "    ");
-   fprintf( fp, "                      ");
-   if(pflag&2 && mErr2!=NULL) fprintf( fp, "           ");
-   fprintf( fp, "  %s\n",s);
+   if(pflag&1) printf("    ");
+   printf("                      ");
+   if(pflag&2 && mErr2!=NULL) printf("           ");
+   printf("  %s\n",s);
  }
- fprintf( fp, "  (valeurs a multiplier par %.0e)\n",1./expo);
+ printf("  (valeurs a multiplier par %.0e)\n",1./expo);
 
  delete[] s;
-}
-
-/********* Methode *********/
-/*!
-  Impression de l'histogramme sur stdout
-*/
-void Histo::Print(int_4 hdyn,r_8 hmin, r_8 hmax,int_4 pflag,
-	     int_4 il, int_4 ih) const
-{
- Histo::PrintF(stdout, hdyn, hmin, hmax, pflag, il, ih);
 }
 
Index: trunk/SophyaLib/HiStats/histos.h
===================================================================
--- trunk/SophyaLib/HiStats/histos.h	(revision 1155)
+++ trunk/SophyaLib/HiStats/histos.h	(revision 1201)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.13 2000-08-23 13:56:27 ansari Exp $
+// $Id: histos.h,v 1.14 2000-09-26 15:53:34 ansari Exp $
 //
 
@@ -143,8 +143,6 @@
 
   // Print et Display ASCII
-  void PrintF(FILE * fp, int_4 dyn = 100, r_8 hmin = 1., r_8 hmax = -1.,
-		      int_4 pflag = 0, int_4 il = 1, int_4 ih = -1) const;
   void Print(int_4 dyn = 100, r_8 hmin = 1., r_8 hmax = -1.,
-		     int_4 pflag = 0, int_4 il = 1, int_4 ih = -1) const;
+	     int_4 pflag = 0, int_4 il = 1, int_4 ih = -1) const;
 
 protected: